Authorization: Bearer ********************curl --location 'https://numueg.app/api/v1/stores//products/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"attributes": {
"color": "white",
"size": "M"
},
"compare_at_price": "350.00",
"cost_price": "120.00",
"description": "Premium Egyptian cotton t-shirt, available in multiple sizes.",
"images": [
"https://cdn.numu.com/products/tshirt-front.jpg"
],
"low_stock_threshold": 10,
"name": "Egyptian Cotton T-Shirt",
"price": "250.00",
"price_currency": "EGP",
"product_type": "physical",
"quantity": 100,
"short_description": "Soft Egyptian cotton tee",
"sku": "ECT-001",
"slug": "egyptian-cotton-tshirt",
"tags": [
"clothing",
"cotton",
"summer"
]
}'{
"success": true,
"data": {
"attributes": {
"color": "white",
"size": "M"
},
"compare_at_price": "350.00",
"cost_price": "120.00",
"created_at": "2025-01-15T10:30:00Z",
"description": "Premium Egyptian cotton t-shirt.",
"id": "550e8400-e29b-41d4-a716-446655440000",
"images": [
"https://cdn.numu.com/products/tshirt-front.jpg"
],
"is_in_stock": true,
"is_low_stock": false,
"is_on_sale": true,
"name": "Egyptian Cotton T-Shirt",
"price": "250.00",
"price_currency": "EGP",
"product_type": "physical",
"quantity": 100,
"short_description": "Soft Egyptian cotton tee",
"sku": "ECT-001",
"slug": "egyptian-cotton-tshirt",
"status": "active",
"store_id": "660e8400-e29b-41d4-a716-446655440000",
"tags": [
"clothing",
"cotton"
],
"updated_at": "2025-01-15T10:30:00Z"
},
"message": "string"
}